Package org.eclipse.e4.ui.workbench

# Interface UIEvents.UILabel

Enclosing class:
  `UIEvents`

public static interface UIEvents.UILabel

Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ICONURI`
`static final String`
`LABEL`
`static final String`
`LOCALIZED_LABEL`
`static final String`
`LOCALIZED_TOOLTIP`
`static final String`
`TOOLTIP`
`static final String`
`TOPIC`
Deprecated.
`static final String`
`TOPIC_ALL`
`static final String`
`TOPIC_ICONURI`
`static final String`
`TOPIC_LABEL`
`static final String`
`TOPIC_LOCALIZED_LABEL`
`static final String`
`TOPIC_LOCALIZED_TOOLTIP`
`static final String`
`TOPIC_TOOLTIP`

## Field Details

### TOPIC

@Deprecated static final String TOPIC
Deprecated.

See Also:
  - Constant Field Values

### TOPIC_ALL

static final String TOPIC_ALL

See Also:
  - Constant Field Values

### TOPIC_ICONURI

static final String TOPIC_ICONURI

See Also:
  - Constant Field Values

### TOPIC_LABEL

static final String TOPIC_LABEL

See Also:
  - Constant Field Values

### TOPIC_TOOLTIP

static final String TOPIC_TOOLTIP

See Also:
  - Constant Field Values

### TOPIC_LOCALIZED_LABEL

static final String TOPIC_LOCALIZED_LABEL

Since:
  1.1
See Also:
  - Constant Field Values

### TOPIC_LOCALIZED_TOOLTIP

static final String TOPIC_LOCALIZED_TOOLTIP

Since:
  1.1
See Also:
  - Constant Field Values

### ICONURI

static final String ICONURI

See Also:
  - Constant Field Values

### LABEL

static final String LABEL

See Also:
  - Constant Field Values

### TOOLTIP

static final String TOOLTIP

See Also:
  - Constant Field Values

### LOCALIZED_LABEL

static final String LOCALIZED_LABEL

Since:
  1.1
See Also:
  - Constant Field Values

### LOCALIZED_TOOLTIP

static final String LOCALIZED_TOOLTIP

Since:
  1.1
See Also:
  - Constant Field Values